Package com.zfabrik.util.logging

## Class LoggerFacade

- java.lang.Object
- - java.util.logging.Logger
  - - com.zfabrik.util.logging.LoggerFacade

-     public class LoggerFacade
      extends java.util.logging.Logger

- - ### Field Summary

    - ### Fields inherited from class java.util.logging.Logger

      `global, GLOBAL_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggerFacade​(java.lang.String name, java.util.logging.Logger logger, java.util.logging.Handler logHandler)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `log​(java.util.logging.LogRecord record)` |

    - ### Methods inherited from class java.util.logging.Logger

      `addHandler, config, config, entering, entering, entering, exiting, exiting, fine, fine, finer, finer, finest, finest, getAnonymousLogger, getAnonymousLogger, getFilter, getGlobal, getHandlers, getLevel, getLogger, getLogger, getName, getParent, getResourceBundle, getResourceBundleName, getUseParentHandlers, info, info, isLoggable, log, log, log, log, log, log, logp, logp, logp, logp, logp, logp, logrb, logrb, logrb, logrb, logrb, logrb, logrb, logrb, removeHandler, setFilter, setLevel, setParent, setResourceBundle, setUseParentHandlers, severe, severe, throwing, warning, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggerFacade

          public LoggerFacade​(java.lang.String name,
                              java.util.logging.Logger logger,
                              java.util.logging.Handler logHandler)

  - ### Method Detail

    - #### log

          public void log​(java.util.logging.LogRecord record)

      Overrides:
        `log` in class `java.util.logging.Logger`

    - #### close

          public void close()